# Test: Trigger with leading asterisk
# Expected: FAIL
# Error code: custom
# Error path: agent.menu[0].trigger
# Error message: agent.menu[].trigger must be kebab-case (lowercase words separated by hyphen)

agent:
  metadata:
    id: asterisk-trigger
    name: Asterisk Trigger
    title: Asterisk
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: "*help"
      description: Invalid trigger with asterisk
      action: display_help
